Package org.flowable.batch.api

# Interface BatchPart

public interface BatchPart

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getBatchId()`
  The id of the batch that this batch part is linked to
  `String`
  `getBatchSearchKey()`
  The search key of the batch that this batch part is linked to
  `String`
  `getBatchSearchKey2()`
  The second search key of the batch that this batch part is linked to
  `String`
  `getBatchType()`
  The type of the batch that this batch part is linked to
  `Date`
  `getCompleteTime()`
  The time the batch part was completed
  `Date`
  `getCreateTime()`
  The time the batch part was created
  `String`
  `getId()`
  The technical id of the batch part
  `String`
  `getResultDocumentJson(String engineType)`
  The result document of the batch part
  `String`
  `getScopeId()`
  The scope id of the batch part
  `String`
  `getScopeType()`
  The scope type of the batch part
  `String`
  `getSearchKey()`
  The search key of the batch part
  `String`
  `getSearchKey2()`
  The second search key of the batch part
  `String`
  `getStatus()`
  The status of the batch part
  `String`
  `getSubScopeId()`
  The sub scope id of the batch part
  `String`
  `getTenantId()`
  The tenant id of the batch part
  `String`
  `getType()`
  The type of the batch part
  `boolean`
  `isCompleted()`
  Whether the batch part is completed

- ## Method Details

  - ### getId

    String getId()
    The technical id of the batch part

  - ### getType

    String getType()
    The type of the batch part

  - ### getBatchType

    String getBatchType()
    The type of the batch that this batch part is linked to

  - ### getBatchId

    String getBatchId()
    The id of the batch that this batch part is linked to

  - ### getCreateTime

    Date getCreateTime()
    The time the batch part was created

  - ### getCompleteTime

    Date getCompleteTime()
    The time the batch part was completed

  - ### isCompleted

    boolean isCompleted()
    Whether the batch part is completed

  - ### getSearchKey

    String getSearchKey()
    The search key of the batch part

  - ### getSearchKey2

    String getSearchKey2()
    The second search key of the batch part

  - ### getBatchSearchKey

    String getBatchSearchKey()
    The search key of the batch that this batch part is linked to

  - ### getBatchSearchKey2

    String getBatchSearchKey2()
    The second search key of the batch that this batch part is linked to

  - ### getStatus

    String getStatus()
    The status of the batch part

  - ### getScopeId

    String getScopeId()
    The scope id of the batch part

  - ### getScopeType

    String getScopeType()
    The scope type of the batch part

  - ### getSubScopeId

    String getSubScopeId()
    The sub scope id of the batch part

  - ### getResultDocumentJson

    String getResultDocumentJson(String engineType)
    The result document of the batch part

  - ### getTenantId

    String getTenantId()
    The tenant id of the batch part